function str=commentbackslash(comment)
% function str=commentunslash(comment)
%
% Purpose:
%      Prepend any underscore with a backslash
%      in string argument (i.e. _ --> \_)
%
% Variables:
%      comment   : string, arbitrary length
%      str       : returned string (no underscores)  
%
% Apr 2004, Trygve Kristiansen, Marintek
%

indxcom=find(comment=='_');
Nunderscore=length(indxcom);
comlength=length(comment);
indx1=1;
tmp='';
for kk=1:Nunderscore
  indx2=indxcom(kk);
  sub=comment(indx1:indx2-1);
  tmp=[tmp sub '\_'];
  indx1=indx2+1;
end
sub=comment(indx1:comlength);
tmp=[tmp sub];

str=tmp;
